'use strict';

/* eslint-disable no-console */

const devicePath = '/dev/ttyUSB0';

const moment = require('moment');
const SerialPort = require('serialport');

console.log(Buffer.from('OK'));
console.log(Buffer.from('\r'));
console.log(Buffer.from('\n'));
console.log(Buffer.from('\x1a'));
console.log(Buffer.from([0x1A]));

const InterByteTimeout = require('@serialport/parser-inter-byte-timeout')
// const Delimiter = require('@serialport/parser-delimiter');
const ParserReadline = require('@serialport/parser-readline');


const port = new SerialPort(devicePath, { baudRate: 115200 });

const parserReadline = new ParserReadline();
parserReadline.on('data', (data) => {
    console.log(`READLINE: ${data}`);
});

port.pipe(parserReadline);

const parserInterByteTimeout = new InterByteTimeout({ interval: 1000 });
parserInterByteTimeout.on('data', (data) => {
    console.log('INTERBYTETIMEOUT:');
    console.log(data);
});
// port.pipe(parserInterByteTimeout);


port.on('open', () => {
    console.log('=====');
    port.write('ATE0\r')
    // port.write('AT+CIMI\r');
    // port.write('OK');
    port.write('AT\r');
    port.write('AT+CMGF=1\r');
    port.write('AT+CMGS="+6282210008543"\r');
    port.write(`Coba dari parser-test ${moment().format('HHmmss')}`);
    port.write(Buffer.from('\x1a'));

});
